# Chevereto-Free Generated on 26 Mar 2024 from [the Chevereto-Free catalog page](https://marketplace.digitalocean.com/apps/chevereto-free) Chevereto-Free allows you to create a full-featured image hosting website on your own server. It’s your hosting and your rules, say goodbye to closures and restrictions. This is the Chevereto-Free DigitalOcean Marketplace application, it provides Chevereto-Free ready to be one-click installed. ## Software Included | Package | Version | License | |---|---|---| | [Chevereto-Free](https://github.com/chevereto/chevereto-free) | [latest](https://github.com/rodber/chevereto-free/releases/latest) | [AGPL-3.0-only](https://github.com/chevereto/chevereto-free/blob/master/LICENSE) | | [PHP](https://php.net/) | [7.4](https://www.php.net/downloads) | [PHP v3.01](http://www.php.net/license/3_01.txt) | | [Apache HTTP Server](https://httpd.apache.org/) | [2.4](https://packages.ubuntu.com/focal/apache2) | [Apache 2](https://www.apache.org/licenses/) | | [Certbot](https://certbot.eff.org/) | [0.39.0](https://packages.ubuntu.com/focal/python3-certbot-apache) | [Apache 2](https://github.com/certbot/certbot/blob/master/LICENSE.txt) | | [MySQL](https://www.mysql.com/) | [8.0.21](https://packages.ubuntu.com/focal/mysql-server) | [GPL 2 with modifications](https://www.mysql.com/about/legal/licensing/oem/#5) | ## Creating an App using the Control Panel Click the **Deploy to DigitalOcean** button to create a Droplet based on this 1-Click App. If you aren’t logged in, this link will prompt you to log in with your DigitalOcean account. [![Deploy to DO](https://www.deploytodo.com/do-btn-blue.svg)](https://cloud.digitalocean.com/droplets/new?image=chevereto-cheveretofree) ## Creating an App using the API In addition to creating a Droplet from the Chevereto-Free 1-Click App using the control panel, you can also use the [DigitalOcean API](https://docs.digitalocean.com/reference/api). As an example, to create a 4GB Chevereto-Free Droplet in the SFO2 region, you can use the following `curl` command. You need to either save your [API access token](https://docs.digitalocean.com/reference/api/create-personal-access-token/index.html.md) to an environment variable or substitute it in the command below. ```shell curl -X POST -H 'Content-Type: application/json' \ -H 'Authorization: Bearer '$TOKEN'' -d \ '{"name":"choose_a_name","region":"sfo2","size":"s-2vcpu-4gb","image":"chevereto-cheveretofree"}' \ "https://api.digitalocean.com/v2/droplets" ``` ## Getting Started After Deploying Chevereto-Free **In addition to the package installation, this one-click deploy also** - Enables the UFW firewall to allow only SSH (port 22, rate limited), HTTP (port 80), and HTTPS (port 443) access. - Sets the MySQL root password. - Sets up the debian-sys-maint user in MySQL so the system’s init scripts for MySQL will work without requiring the MySQL root user password. **Chevereto-Free Server Details** Your Chevereto-Free website will be accessible at: [http://your\_droplet\_public\_ipv4/](http://your_droplet_public_ipv4/) This is an Apache HTTP server based provisioning. PHP runs with `mod_php` using `mpm_prefork`. You can run Chevereto-Free under any configuration, check our [documentation](https://chevereto-free.github.io/) for more information. **Credentials** The database credentials are at `/etc/apache2/envvars`. Root mysql password is at `/root/.mysql_password`. **Extra-steps** 1. Provide HTTPS. ``` certbot --apache -d example.com -d www.example.com ``` 1. Disable non-HTTPS access. ``` ufw delete allow 80/tcp ``` 3. Secure MySQL. ``` mysql_secure_installation` ``` **Updates** Chevereto-Free can update itself, simply open [http://your\_droplet\_public\_ipv4/dashboard](http://your_droplet_public_ipv4/dashboard) and click “check for updates” button.